## ubuntu-advantage-tools 27.11.2~22.10.1

=== apt-hook/Makefile ===
all: build

build: hook ubuntu-advantage.pot json-hook

ubuntu-advantage.pot: hook.cc
	xgettext hook.cc -o ubuntu-advantage.pot

hook: hook.cc
	$(CXX) -Wall -Wextra -pedantic -std=c++11 $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -g -o hook hook.cc -lapt-pkg $(LDLIBS)

json-hook: json-hook.cc
	$(CXX) -Wall -Wextra -pedantic -std=c++11 $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -g -o json-hook json-hook-main.cc json-hook.cc -ljson-c $(LDLIBS)

test:
	$(CXX) -Wall -Wextra -pedantic -std=c++11 $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -g -o json-hook-test json-hook.cc json-hook.test.cc -ljson-c -lboost_unit_test_framework $(LDLIBS)
	./json-hook-test

install-conf:
	install -D -m 644 20apt-esm-hook.conf $(DESTDIR)/etc/apt/apt.conf.d/20apt-esm-hook.conf

install: hook json-hook
	install -D -m 755 hook $(DESTDIR)/usr/lib/ubuntu-advantage/apt-esm-hook
	install -D -m 755 json-hook $(DESTDIR)/usr/lib/ubuntu-advantage/apt-esm-json-hook

clean:
	rm -f hook json-hook json-hook-test ubuntu-advantage.pot

.PHONY: test

=== debian/changelog ===
ubuntu-advantage-tools (27.11.2~22.10.1) kinetic; urgency=medium

  * New upstream release 27.11.2: (LP: #1991173)
    - esm: add the --beta flag back to esm-apps
    - messaging: show Ubuntu Pro beta message in apt output
    - security-status: don't show esm-apps information when the service is not
      enabled
    - ros: add the --beta flag back to ros and ros-updates

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 29 Sep 2022 16:20:42 -0300

ubuntu-advantage-tools (27.11.1~22.10.1) kinetic; urgency=medium

  * New upstream release 27.11.1: (LP: #1990907)
    - Fix release upgrade when ESM packages are installed
      + d/postinst: remove series information from the APT preferences template
      + esm: remove series information from the APT preferences file

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 27 Sep 2022 16:19:41 -0300

ubuntu-advantage-tools (27.11~22.10.1) kinetic; urgency=medium

  * d/control:
    - Update VCS references
  * d/links:
    - add usr/bin/pro as an alias to ubuntu-advantage
  * d/postinst:
    - include root_mode parameter when creating UAConfig instances
    - change calls to add_notice to notice_file.add
    - create public machine-token file if it does not exist
  * New upstream release 27.11 (LP: #1989279)
    - api:
      + new `pro api` command to access the public client API
      + 'version' endpoint returning version information
      + 'should auto attach' endpoint informing if a system should run
        auto-attach on startup
      + 'full auto attach' endpoint performing auto-attach
      + 'magic attach' endpoints for the Magic Attach flow
    - auto-attach:
      + better errors for invalid pro images (GH: #2180, #1833)
      + don't detach on already auto-attached instances
      + no-op when ubuntu-advantage information is present on cloud-init
        userdata
      + change systemd unit to run after cloud-config
    - cli:
      + cli: better error message on unrecognized flags (GH: #672)
    - collect-logs:
      + can now be executed as a non-root user
      + is executed automatically and result is appended when using apport to
        report a bug
    - docs: now formatted to be built with sphinx, and published in readthedocs
    - enable:
      + new access-only flag for usecases where auto-install is undesired
      + fix apt auth line replacement (LP: #1985863)
    - esm-apps: generally available as non-beta as part of Ubuntu Pro
    - fix: check if livepatch has already fixed a CVE before attempting a fix
    - jobs: new timer job to check if the release reached end of support
    - pro:
      + Ubuntu Pro is released as a product
      + make `pro` the recommended executable for the client
      + client, apt and motd messages updated/rewritten to show Pro 
        information
      + base URL changed from /advantage to /pro
      + ESM services renamed as part of Pro
    - ros: released as a non-beta entitlement
    - security-status
      + does not require the --format flag anymore
      + human readable output added based on ubuntu-security-status
      + machine readable output contains CVEs fixed by Livepatch
      + package counts include all esm-infra and esm-apps repositories
    - status:
      + don't show unavailable services by default (GH: #2156, #2159)
      + expiry date formatted based on timezone (GH: #695)
      + non-root users get the current status instead of a cached version
      + --wait flag now working for non-root users
    - version: warn about new available versions of the client in CLI command
      output and API calls

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 08 Sep 2022 18:02:55 -0300

ubuntu-advantage-tools (27.10.1~22.10.1) kinetic; urgency=medium

  * apt-hook: Fix missing import warning when compiling

 -- Lucas Moura <lucas.moura@canonical.com>  Tue, 09 Aug 2022 14:03:14 -0300

ubuntu-advantage-tools (27.10~22.10.1) kinetic; urgency=medium

  * d/control:
    - Drop golang dependencies
  * d/rules:
    - Only install APT hooks on LTS series
  * New upstream release 27.10 (LP: #1980990)
    - apt-hook: replace golang with cpp for json-hook
    - cli
      + properly sort services for detach/attach (GH: #1831)
      + collect-logs include rotated log files
      + display UA features directly on status
    - daemon: do not try enabling daemon during auto-attach (LP: #1980865)
    - fix:
      + update ua portal url when asking for attach
      + add --dry-run option
    - gcp-pro: better error message for metadata endpoint error
    - requests: Add default timeout for web requests
    - timer: log when job start running
    - security-status: include download size of package updates

 -- Lucas Moura <lucas.moura@canonical.com>  Fri, 01 Jul 2022 11:51:13 -0300

=== debian/control ===
Source: ubuntu-advantage-tools
Section: misc
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: bash-completion,
               debhelper (>=9),
               debianutils (>= 4.7),
               dh-python,
# After debhelper 13.3 we no longer need dh-systemd.
# On hirsute and later, dh-systemd doesn't even exist.
# On recent releases, the first alternative will be used.
# On older releases (where debhelper is older than 13.3 and we need dh-systemd), the second alternative is used.
# Putting debhelper first allows a successful build on recent releases without requiring --resolve-alternatives during sbuild.
               debhelper (>= 13.3) | dh-systemd,
               gettext,
               git,
               libapt-pkg-dev,
               libjson-c-dev,
               libboost-test-dev,
               po-debconf,
               python3 (>= 3.4),
               python3-flake8,
               python3-mock,
               python3-pytest,
               python3-setuptools,
               python3-yaml
Standards-Version: 4.5.1
Homepage: https://ubuntu.com/advantage
Vcs-Git: https://github.com/canonical/ubuntu-advantage-client.git
Vcs-Browser: https://github.com/canonical/ubuntu-advantage-client
Rules-Requires-Root: no

Package: ubuntu-advantage-tools
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-apt,
         python3-pkg-resources,
         ${extra:Depends}
Description: management tools for Ubuntu Advantage
 Ubuntu Advantage is the professional package of tooling, technology
 and expertise from Canonical, helping organisations around the world
 manage their Ubuntu deployments.
 .
 Subscribers to Ubuntu Advantage will find helpful tools for accessing
 services in this package.

Package: ubuntu-advantage-pro
Architecture: all
Depends: ${misc:Depends}, ubuntu-advantage-tools (>=20.2)
Replaces: ubuntu-advantage-tools (<<20.2)
Breaks: ubuntu-advantage-tools (<<20.2)
Description: utilities and services for Ubuntu Pro images
 The Ubuntu Pro package delivers additional utilities for use on authorised
 Ubuntu Pro machines.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

include /etc/os-release

# see https://bugs.launchpad.net/ubuntu/+source/ubuntu-advantage-tools/+bug/1840091/comments/3

# Bionic and Xenial each have older versions of distro-info that don't support
# the flag --supported-esm. Those versions are 0.18 and 0.14build1,
# respectively. So we set specific distro-info requirements for bionic and later
# versus Xenial to make those contraints applicable on each series.
DISTRO_INFO_DEPS="distro-info (>= 0.18ubuntu0.18.04.1),"

ifeq (${VERSION_ID},"16.04")
APT_PKG_DEPS="apt (>= 1.2.32), apt-transport-https (>= 1.2.32), apt-utils (>= 1.2.32), libapt-inst2.0 (>= 1.2.32), libapt-pkg5.0 (>= 1.2.32),"
DISTRO_INFO_DEPS="distro-info (>= 0.14ubuntu0.2),"
else ifeq (${VERSION_ID},"18.04")
APT_PKG_DEPS="apt (>= 1.6.11), apt-utils (>= 1.6.11), libapt-inst2.0 (>= 1.6.11), libapt-pkg5.0 (>= 1.6.11),"
else ifeq (${VERSION_ID},"19.04")
APT_PKG_DEPS="apt (>= 1.8.1), apt-utils (>= 1.8.1), libapt-inst2.0 (>= 1.8.1), libapt-pkg5.0 (>= 1.8.1),"
else ifeq (${VERSION_ID},"19.10")
APT_PKG_DEPS="apt (>= 1.8.1), apt-utils (>= 1.8.1), libapt-pkg5.90 (>= 1.8.1),"
endif

%:
	dh $@ --with python3,bash-completion,systemd --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make -C apt-hook build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# Hooks will only be delivered on LTS instances
ifeq (LTS,$(findstring LTS,$(VERSION)))
	make -C apt-hook test
endif
	python3 -m pytest
	python3 -m flake8 uaclient
endif

override_dh_gencontrol:
	echo extra:Depends=$(APT_PKG_DEPS) $(DISTRO_INFO_DEPS) >> debian/ubuntu-advantage-tools.substvars
	dh_gencontrol

override_dh_systemd_enable:
	dh_systemd_enable -pubuntu-advantage-pro ua-auto-attach.service
	dh_systemd_enable -pubuntu-advantage-tools ua-reboot-cmds.service
	dh_systemd_enable -pubuntu-advantage-tools ua-timer.timer
	dh_systemd_enable -pubuntu-advantage-tools ua-timer.service
	dh_systemd_enable -pubuntu-advantage-tools ubuntu-advantage.service
ifeq (${VERSION_ID},"16.04")
	# Only enable cloud-id-shim on Xenial
	dh_systemd_enable -pubuntu-advantage-tools ubuntu-advantage-cloud-id-shim.service
endif

override_dh_systemd_start:
	dh_systemd_start -pubuntu-advantage-tools ua-timer.timer
	dh_systemd_start -pubuntu-advantage-tools ubuntu-advantage.service

override_dh_auto_install:
	dh_auto_install --destdir=debian/ubuntu-advantage-tools
	flist=$$(find $(CURDIR)/debian/ -type f -name version.py) && sed -i 's,@@PACKAGED_VERSION@@,$(DEB_VERSION),' $${flist:-did-not-find-version-py-for-replacement}

	# We install the conf file even on non-LTS version to avoid issues on upgrade scenarios
	make -C apt-hook DESTDIR=$(CURDIR)/debian/ubuntu-advantage-tools install-conf

# Hooks will only be delivered on LTS instances
ifeq (LTS,$(findstring LTS,$(VERSION)))
	make -C apt-hook DESTDIR=$(CURDIR)/debian/ubuntu-advantage-tools install
endif

	# We want to guarantee that we are not shipping any conftest files
	find $(CURDIR)/debian/ubuntu-advantage-tools -type f -name conftest.py -delete

ifneq (${VERSION_ID},"16.04")
	# Only install cloud-id-shim on Xenial
	rm $(CURDIR)/debian/ubuntu-advantage-tools/lib/systemd/system/ubuntu-advantage-cloud-id-shim.service
endif

	# Move ua-auto-attach.service out to ubuntu-advantage-pro
	mkdir -p debian/ubuntu-advantage-pro/lib/systemd/system
	mv debian/ubuntu-advantage-tools/lib/systemd/system/ua-auto-attach.* debian/ubuntu-advantage-pro/lib/systemd/system
	cd debian/ubuntu-advantage-tools


override_dh_auto_clean:
	dh_auto_clean
	make clean

## ubuntu-advantage-tools 27.14.4

=== debian/changelog ===
ubuntu-advantage-tools (27.14.4) lunar; urgency=medium

  * timer: disable update_contract_info job (LP: #2015302)
  * livepatch: prevent livepatch from auto-enabling and subsequently failing
    on non-amd64 systems (LP: #2015241)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 04 Apr 2023 17:56:07 -0300

ubuntu-advantage-tools (27.14.3) lunar; urgency=medium

  * livepatch: prevent livepatch from auto-enabling and subsequently failing
    on interim releases (LP: #2013409)

 -- Grant Orndorff <grant.orndorff@canonical.com>  Fri, 31 Mar 2023 10:13:44 -0400

ubuntu-advantage-tools (27.14.2~23.04.1) lunar; urgency=medium

  * status:
    - always use dpkg instead of lscpu for fetching architecture
      information (LP: #2012735)

 -- Lucas Moura <lucas.moura@canonical.com>  Tue, 28 Mar 2023 11:46:11 -0300

ubuntu-advantage-tools (27.14.1~23.04.1) lunar; urgency=medium

  * New upstream release 27.14.1
    - apt: fix a configuration leak in the apt.get_pkg_candidate_version
      function (LP: #2012642)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 23 Mar 2023 13:41:05 -0300

ubuntu-advantage-tools (27.14~23.04.1) lunar; urgency=medium

  * d/ubuntu-advantage-tools.{postinst,postrm,preinst}:
    - migrate certain settings out of uaclient.conf to a new file managed by
      the pro config subcommand (LP: #2004280)
  * d/ubuntu-advantage-tools.postinst:
    - refactor PREVIOUS_PKG_VER as a global variable
    - simplify how we add notices
  * New upstream release 27.14 (LP: #2011477)
    - api: new u.unattended_upgrades.status.v1 endpoint for querying status of
      unattended upgrades
    - apt:
      + remove legacy apt-hook
      + deliver json apt-hook for interim releases
      + fix cloud identification logic in json apt-hook
      + make all calls to esm-cache isolated from system configuration
        (LP: #2008280)
      + only set up the esm cache on supported systems (LP: #2004018)
    - fix:
      + format the output to be more readable (LP: #1926182)
      + add option to attach during a fix without a token
      + verify if fixed version can be installed before trying (LP: #2006705)
    - livepatch: show warning if current kernel is not supported
    - locks: alert user about corrupted lock files (LP: #1996931)
    - logging: logs are now formatted as jsonlines
    - motd: remove esm-apps announcement
    - notices: new representation on disk as separate files (LP: #1987738)
    - realtime: remove ubuntu-realtime package on disablement
    - status:
      + removed contract info update check network call
      + no longer includes warnings about notices when non-root (LP: #2006138)
      + unattached status sends virt type to contract server for better
        resource availability calculation
    - timer jobs: add daily job to check for contract updates
    - yaml: always import distro-provided pyyaml (LP: #2007234, LP: #2007241)

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 13 Mar 2023 15:28:33 -0400

ubuntu-advantage-tools (27.13.6~23.04.1) lunar; urgency=medium

  * apt-news:
    - make sure systems which never ran a pro command get the apt-news message
      displayed (LP: #2008814)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 28 Feb 2023 15:56:11 -0300

ubuntu-advantage-tools (27.13.5~23.04.1) lunar; urgency=medium

  * d/ubuntu-advantage-tools.postinst:
    - fix version for cleaning the esm-apps stale unauthenticated files
      (LP: #2006765)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 09 Feb 2023 14:20:47 -0300

ubuntu-advantage-tools (27.13.4~23.04.1) lunar; urgency=medium

  * d/ubuntu-advantage-tools.postinst:
    - remove stale esm-apps unauthenticated caches (LP: #2004193)
  * apt-hook:
    - Change esm-apps advertisement message on apt upgrade to
      make it clearer that the service is providing more upgrades
      and not restricting user to only get updates if esm-apps
      is enabled (LP: #2006510)
  * contract:
    - make code aware that the effective date is not a required field
      in the machine-token.json file (LP: #2006351)
  * esm_cache
    - do not fail if we cannot extract information from
      /etc/os-release file (LP: #2006508)
  * security-status:
    -  consider packages without a candidate as 'unknown' (LP: #2006049)
  * status:
    - treat null effective contract dates as unknown/expired
      (LP: #2004650)
  * timer:
    - recycle invalid jobs-status.json file if we detect it is
      corrupted (LP: #2006261)

 -- Lucas Moura <lucas.moura@canonical.com>  Tue, 07 Feb 2023 16:13:33 -0300

ubuntu-advantage-tools (27.13.3~23.04.1) lunar; urgency=medium

  * d/ubuntu-advantage-tools.preinst: (LP: #2004279)
    - correct second set of md5sums to continue avoiding a dpkg conf prompt
      if the only change to the original config file was to the apt_news flag
    - restore correct default uaclient.conf when upgrading from 27.13.X and
      the only conf change is apt_news
  * esm-cache.service:
    - Catch errors when esm.ubuntu.com is unreachable to avoid causing crash
      reports and degraded systemd status from this non-critical service
      (LP: #2004130)

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 30 Jan 2023 09:34:43 -0500

ubuntu-advantage-tools (27.13.2~23.04.1) lunar; urgency=medium

  * d/ubuntu-advantage-tools.{postinst,postrm,preinst}:
    - avoid a dpkg conf prompt if the only change to the original config file
      was to the apt_news flag (LP: #2003977)
  * apt-hook:
    - only run the pro client pre-update hook services when the apt update is
      executed as root user (LP: #2004057)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Fri, 27 Jan 2023 18:46:42 -0300

ubuntu-advantage-tools (27.13.1~23.04.1) lunar; urgency=medium

  * apt: better isolate apt esm cache by only fetching necessary
    configuration from the system apt

 -- Lucas Moura <lucas.moura@canonical.com>  Mon, 23 Jan 2023 11:54:06 -0300



## ubuntu-advantage-tools 28.1~16.04

=== debian/changelog ===
ubuntu-advantage-tools (28.1~16.04) xenial; urgency=medium

  * Backport new upstream release: (LP: #2017949) to xenial

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 26 Jun 2023 20:49:33 -0400

ubuntu-advantage-tools (28.1) mantic; urgency=medium

  * New upstream release 28.1 (LP: #2017949)
    - fips: ensure shim-signed is updated to the version in the fips repo
      if necessary
    - status: fix bug where an existing status cache could influence the
      simulated status output

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 26 Jun 2023 15:05:11 -0400

ubuntu-advantage-tools (28) mantic; urgency=medium

  * d/ubuntu-advantage-tools.postinst:
    - more specific regex for ua_config warning
  * d/source/lintian-overrides
    - adjust missing-build-dependency-for-dh-addon systemd override to work
      for the different but related error message on jammy onwards
  * New upstream release 28 (LP: #2017949)
    - api:
      + new endpoint: u.pro.status.is_attached.v1
      + new endpoint: u.pro.status.enabled_services.v1
    - apport: collect default log files if present for bug reports
    - apt messaging: add bionic-specific urls
    - auto-attach:
      + check for new Azure UBUNTU_PRO license on-boot of non-pro instances
      + exit 4 if attach succeeds but service enablement fails
    - cli:
      + avoid unnecessary network calls during autocomplete (GH: #2556)
      + warn users to not rely on human-readable output in scripts
    - config: no longer load uaclient.conf from current working directory
    - fix:
      + add support for --no-related flag
      + separate target USN from related USNs
    - general:
      + logs to user cache directory when run as non-root
      + fix bug where non-root commands failed with file permission error
        accessing /tmp/ubuntu-advantage (GH: #2567)
      + use system environment vars by default in sub processes (GH: #2527)
      + fall back to /usr/lib/os-release for release info
      + start logging to default log file until config is loaded
      + remove small timeout from contract checking request
      + avoid crashes when processing unicode text (LP: #2019729)
    - livepatch:
      + use uname.machine for kernel arch when checking support
        (GH: #2517)
      + display tailored warning messages for granular support statuses
    - realtime-kernel: add support for intel-iotg variant
    - reboot-required: new criteria for "yes-kernel-livepatches-applied"
      livepatch status must be either "applied" or "nothing-to-apply" and
      livepatch support status must say "supported"
    - security-status:
      + always show available/installed counts for esm packages
      + include hint to run apt-get update for up-to-date info (GH: #2443)
      + improve visibility of installed and available updates (GH: #2442)
      + change package info message hint to recommend apt-cache show
      + avoids unnecessary network calls (LP: #2015286, GH: #2536)
    - systemd: update service unit for reboot_cmds to not run if not attached
    - status:
      + add hint for pro status --all
      + better message if no services are available (LP: #1994923)
    - timer: only run timer when attached

 -- Grant Orndorff <grant.orndorff@canonical.com>  Thu, 27 Apr 2023 16:34:55 -0400

## ubuntu-advantage-tools 28.1~18.04

=== debian/changelog ===
ubuntu-advantage-tools (28.1~18.04) bionic; urgency=medium

  * Backport new upstream release: (LP: #2017949) to bionic

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 26 Jun 2023 20:49:37 -0400

## ubuntu-advantage-tools 28.1~20.04

=== debian/changelog ===
ubuntu-advantage-tools (28.1~20.04) focal; urgency=medium

  * Backport new upstream release: (LP: #2017949) to focal

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 26 Jun 2023 20:49:43 -0400

## ubuntu-advantage-tools 28.1~22.04

=== debian/changelog ===
ubuntu-advantage-tools (28.1~22.04) jammy; urgency=medium

  * Backport new upstream release: (LP: #2017949) to jammy

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 26 Jun 2023 20:49:48 -0400

## ubuntu-advantage-tools 28.1~22.10

=== debian/changelog ===
ubuntu-advantage-tools (28.1~22.10) kinetic; urgency=medium

  * Backport new upstream release: (LP: #2017949) to kinetic

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 26 Jun 2023 20:49:52 -0400

## ubuntu-advantage-tools 28.1~23.04

=== debian/changelog ===
ubuntu-advantage-tools (28.1~23.04) lunar; urgency=medium

  * Backport new upstream release: (LP: #2017949) to lunar

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 26 Jun 2023 20:49:57 -0400

=== debian/control ===
--- 
+++ 
@@ -38,12 +38,12 @@
          python3-apt,
          python3-pkg-resources,
          ${extra:Depends}
-Description: management tools for Ubuntu Advantage
- Ubuntu Advantage is the professional package of tooling, technology
+Description: management tools for Ubuntu Pro
+ Ubuntu Pro is the professional package of tooling, technology
  and expertise from Canonical, helping organisations around the world
  manage their Ubuntu deployments.
  .
- Subscribers to Ubuntu Advantage will find helpful tools for accessing
+ Subscribers to Ubuntu Pro will find helpful tools for accessing
  services in this package.
 
 Package: ubuntu-advantage-pro
@@ -51,6 +51,7 @@
 Depends: ${misc:Depends}, ubuntu-advantage-tools (>=20.2)
 Replaces: ubuntu-advantage-tools (<<20.2)
 Breaks: ubuntu-advantage-tools (<<20.2)
-Description: utilities and services for Ubuntu Pro images
- The Ubuntu Pro package delivers additional utilities for use on authorised
- Ubuntu Pro machines.
+Description: Additional services for Ubuntu Pro images
+ This package delivers an additional service that performs an auto-attach
+ operation for Ubuntu Pro cloud instances. This package should not be manually
+ installed, as it is already present on the cloud instances that require it.

## ubuntu-advantage-tools 29.3~16.04

=== debian/changelog ===
ubuntu-advantage-tools (29.3~16.04) xenial; urgency=medium

  * Backport new upstream release: (LP: #2029144) to xenial

 -- Lucas Moura <lucas.moura@canonical.com>  Mon, 28 Aug 2023 11:40:58 -0300

ubuntu-advantage-tools (29.3) mantic; urgency=medium

  * api: fix circular import that prevents enabled_services
    endpoint from being imported

 -- Lucas Moura <lucas.moura@canonical.com>  Fri, 25 Aug 2023 14:26:37 -0300

ubuntu-advantage-tools (29.2) mantic; urgency=medium

  * d/ubuntu-advantage-tools.postinst:
    - replace deb-systemd-invoke back to systemctl
  * proxy: alert user if ca-certificates is not installed when using
    a TLS-in-TLS proxy

 -- Lucas Moura <lucas.moura@canonical.com>  Thu, 17 Aug 2023 19:45:48 -0300

ubuntu-advantage-tools (29.1) mantic; urgency=medium

  * anbox: allow enabling service on container using the --access-only flag

 -- Lucas Moura <lucas.moura@canonical.com>  Thu, 10 Aug 2023 11:08:46 -0300

ubuntu-advantage-tools (29) mantic; urgency=medium

  * d/control:
    - update links for the project github page
  * d/copyright:
    - bump date to 2023
    - update upstream-name and source
  * d/ubuntu-advantage-tools.{postinst,postrm}:
    - rename repo GPG keys from -advantage to -pro (GH: #1539)
    - replace calls to systemctl for deb-systemd-invoke
  * d/README.source:
    - add file with basic explanation on the source code (GH: #2463)
  * New upstream release 29 (LP: #2029144)
    - anbox-cloud: add support for service
    - api
      + new endpoint: u.pro.security.fix.plan.cve.v1
      + new endpoint: u.pro.security.fix.plan.usn.v1
      + new endpoint: u.apt_news.current_news.v1
      + add more data explaining the decision made for
        u.pro.security.status.reboot_required.v1 endpoint
    - contract:
      + send activityInfo after cli attach, enable and disable
      + start recording when the machine has attached to a Pro subscription
      + more reliable detection when running on a docker container
    - esm: create static files to pin packages from esm-infra and esm-apps with
      higher priority (GH: #2580)
    - fix: ignore non-USN items on related usns
    - landscape: add support for the service
    - logging: update to ubuntupro logging namespace
    - proxy: add support for TLS-in-TLS proxy (LP: #1999909)
    - snapd: look for the snapd package instead of the snap command
    - system: try/except logic to remove files and folders (LP: #2025731)

 -- Lucas Moura <lucas.moura@canonical.com>  Mon, 31 Jul 2023 15:46:23 +0000

## ubuntu-advantage-tools 29.3~18.04

=== debian/changelog ===
ubuntu-advantage-tools (29.3~18.04) bionic; urgency=medium

  * Backport new upstream release: (LP: #2029144) to bionic

 -- Lucas Moura <lucas.moura@canonical.com>  Mon, 28 Aug 2023 11:41:03 -0300

## ubuntu-advantage-tools 29.3~20.04

=== debian/changelog ===
ubuntu-advantage-tools (29.3~20.04) focal; urgency=medium

  * Backport new upstream release: (LP: #2029144) to focal

 -- Lucas Moura <lucas.moura@canonical.com>  Mon, 28 Aug 2023 11:41:08 -0300

## ubuntu-advantage-tools 29.3~22.04

=== debian/changelog ===
ubuntu-advantage-tools (29.3~22.04) jammy; urgency=medium

  * Backport new upstream release: (LP: #2029144) to jammy

 -- Lucas Moura <lucas.moura@canonical.com>  Mon, 28 Aug 2023 11:41:13 -0300

## ubuntu-advantage-tools 29.3~23.04

=== debian/changelog ===
ubuntu-advantage-tools (29.3~23.04) lunar; urgency=medium

  * Backport new upstream release: (LP: #2029144) to lunar

 -- Lucas Moura <lucas.moura@canonical.com>  Mon, 28 Aug 2023 11:41:17 -0300

## ubuntu-advantage-tools 29.4

=== debian/changelog ===
ubuntu-advantage-tools (29.4) mantic; urgency=medium

  * esm: remove static config file that pin packages from esm-infra
    and esm-apps

 -- Lucas Moura <lucas.moura@canonical.com>  Wed, 06 Sep 2023 10:50:50 -0300

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
                python3-yaml
 Standards-Version: 4.5.1
 Homepage: https://ubuntu.com/advantage
-Vcs-Git: https://github.com/canonical/ubuntu-advantage-client.git
-Vcs-Browser: https://github.com/canonical/ubuntu-advantage-client
+Vcs-Git: https://github.com/canonical/ubuntu-pro-client.git
+Vcs-Browser: https://github.com/canonical/ubuntu-pro-client
 Rules-Requires-Root: no
 
 Package: ubuntu-advantage-tools

=== debian/rules ===
--- 
+++ 
@@ -66,11 +66,7 @@
 
 	# We install the conf file even on non-LTS version to avoid issues on upgrade scenarios
 	make -C apt-hook DESTDIR=$(CURDIR)/debian/ubuntu-advantage-tools install-conf
-
-# Hooks will only be delivered on LTS instances
-ifeq (LTS,$(findstring LTS,$(VERSION)))
 	make -C apt-hook DESTDIR=$(CURDIR)/debian/ubuntu-advantage-tools install
-endif
 
 	# We want to guarantee that we are not shipping any conftest files
 	find $(CURDIR)/debian/ubuntu-advantage-tools -type f -name conftest.py -delete

## ubuntu-advantage-tools 30~16.04

=== debian/changelog ===
ubuntu-advantage-tools (30~16.04) xenial; urgency=medium

  * Backport new upstream release to xenial (LP: #2038461)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 07 Nov 2023 16:23:34 +0200

ubuntu-advantage-tools (30) noble; urgency=medium

  * d/control:
    - add python3-apt as a build dependency
    - add the new ubuntu-pro-client-l10n binary package
    - recommend installing ubuntu-pro-client-l10n

  * d/po/*:
    - Makefile to build localization files to debian/po/usr/share/locale/
    - update POTFILES.in to cover all translatable messages
    - remove old unused pot file
    - add new complete pot file for "ubuntu-pro" domain
    - add first Brazilian Portuguese translations

  * d/rules:
    - add step to build the translations

  * d/tests/control:
    - mark autopkgtests as superficial (GH: #2609)

  * d/ubuntu-advantage-tools.maintscript:
    - remove /etc/ubuntu-advantage/help_data.yaml

  * d/ubuntu-pro-client-l10n.install:
    - add install file for the new binary package

  * New upstream release 30 (LP: #2038461)
    - api:
      + add new backwards compatible plan steps to the v1 fix plan endpoints
      + improve information returned from the fix plan endpoints
      + new endpoint: u.pro.security.fix.cve.execute.v1
      + new endpoint: u.pro.security.fix.usn.execute.v1
    - apt: improve performance and consistency by refactoring the code to use
      the apt_pkg module
    - auto-attach: add newline to the MOTD message to separate it from other
      MOTD messages
    - contract: send information about variants to the contracts server
    - enable: update only service specific apt sources when enabling a service
      (GH: #1311) (GH: #1482)
    - esm: create static files to pin packages from esm-infra and esm-apps with
      higher priority (GH: #2580)
    - disable:
      + (experimental) add the --purge flag to the disable command, so users
        can remove all service related packages when disabling a service
      + show extra warnings when kernels are involved in the purge operation
    - files: Reduce race window when creating new files (LP: #2024204)
    - fips: add support to Jammy to prepare for when it is available
    - fips-preview:
      + add fips-preview as a new entitlement
    - github: add issue templates (GH: #2646)
    - internationalization:
      + add general internationalization support and templates
      + add initial sentence set for Brazilian Portuguese
    - logging:
      + add journald logging for the daemon and systemd timer
      + remove daemon and timer log files
      + standardize the logging calls through the codebase (GH: #2632)
    - systemd: change ubuntu-advantage.service type from 'notify' to 'simple',
      dropping the dependency on python3-systemd (LP: #2038417) (GH: #2692)
    - tests:
      + add scenarios where cloud-init is present but disabled (LP: #1938208)
      + change 'permission' to 'priority' when checking apt priority in tests
        (GH: #2719)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 07 Nov 2023 08:35:37 -0300

## ubuntu-advantage-tools 30~18.04

=== debian/changelog ===
ubuntu-advantage-tools (30~18.04) bionic; urgency=medium

  * Backport new upstream release to bionic (LP: #2038461)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 07 Nov 2023 16:23:37 +0200

## ubuntu-advantage-tools 30~20.04

=== debian/changelog ===
ubuntu-advantage-tools (30~20.04) focal; urgency=medium

  * Backport new upstream release to focal (LP: #2038461)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 07 Nov 2023 16:23:40 +0200

## ubuntu-advantage-tools 30~22.04

=== debian/changelog ===
ubuntu-advantage-tools (30~22.04) jammy; urgency=medium

  * Backport new upstream release to jammy (LP: #2038461)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 07 Nov 2023 16:23:42 +0200

## ubuntu-advantage-tools 30~23.04

=== debian/changelog ===
ubuntu-advantage-tools (30~23.04) lunar; urgency=medium

  * Backport new upstream release to lunar (LP: #2038461)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 07 Nov 2023 16:23:44 +0200

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                gettext,
                git,
                libapt-pkg-dev,
+               python3-apt,
                libjson-c-dev,
                libboost-test-dev,
                po-debconf,
@@ -38,6 +39,7 @@
          python3-apt,
          python3-pkg-resources,
          ${extra:Depends}
+Recommends: ubuntu-pro-client-l10n
 Description: management tools for Ubuntu Pro
  Ubuntu Pro is the professional package of tooling, technology
  and expertise from Canonical, helping organisations around the world
@@ -45,6 +47,13 @@
  .
  Subscribers to Ubuntu Pro will find helpful tools for accessing
  services in this package.
+
+Package: ubuntu-pro-client-l10n
+Architecture: any
+Depends: ${misc:Depends}, ubuntu-advantage-tools (>=30~)
+Description: Translations for Ubuntu Pro Client
+ This package delivers translations of Ubuntu Pro Client for various
+ languages.
 
 Package: ubuntu-advantage-pro
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 override_dh_auto_build:
 	dh_auto_build
 	make -C apt-hook build
+	make -C debian/po build
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## ubuntu-advantage-tools 30~23.10

=== debian/changelog ===
ubuntu-advantage-tools (30~23.10) mantic; urgency=medium

  * Backport new upstream release to mantic (LP: #2038461)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 07 Nov 2023 16:23:34 +0200

## ubuntu-advantage-tools 30.1

=== debian/changelog ===
ubuntu-advantage-tools (30.1) noble; urgency=medium

  * fix UnboundLocalError in update-check error handling (LP: #2043836)

 -- Grant Orndorff <grant.orndorff@canonical.com>  Fri, 17 Nov 2023 14:25:22 -0500

## ubuntu-advantage-tools 31.2.3

=== apt-hook/Makefile ===
all: build

build: json-hook

json-hook: json-hook.cc
	$(CXX) -Wall -Wextra -pedantic -std=c++11 $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -g -o json-hook json-hook-main.cc json-hook.cc esm-counts.cc -ljson-c -lapt-pkg $(LDLIBS)

test:
	$(CXX) -Wall -Wextra -pedantic -std=c++11 $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -g -o json-hook-test json-hook.cc json-hook.test.cc esm-counts.cc -ljson-c -lapt-pkg -lboost_unit_test_framework $(LDLIBS)
	./json-hook-test

install-conf:
	install -D -m 644 20apt-esm-hook.conf $(DESTDIR)/etc/apt/apt.conf.d/20apt-esm-hook.conf

install: json-hook
	install -D -m 755 json-hook $(DESTDIR)/usr/lib/ubuntu-advantage/apt-esm-json-hook

clean:
	rm -f json-hook json-hook-test

.PHONY: test

=== debian/changelog ===
ubuntu-advantage-tools (31.2.3) noble; urgency=medium

  * daemon: wait for cloud-init.service to fully activate (LP: #2059952)

 -- Lucas Moura <lucas.moura@canonical.com>  Tue, 02 Apr 2024 10:13:32 -0300

ubuntu-advantage-tools (31.2.2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:15:29 +0000

ubuntu-advantage-tools (31.2.2) noble; urgency=medium

  * version.py: fix internal version to match ubuntu package version (it was
    missed in the previous upload, so 31.2.1 is "burned" now)

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 24 Mar 2024 10:52:02 -0300

ubuntu-advantage-tools (31.2.1) noble; urgency=medium

  * apt-news.service: ignore apparmor errors when starting (LP: #2057937)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 19 Mar 2024 11:02:58 -0300

ubuntu-advantage-tools (31.2) noble; urgency=medium

  * properly rename logrotate conffile to avoid duplicate confiles, keep user changes
    and avoid unnecessary prompts (LP: #2055046)
  * use mv_conffile on all ubuntu-advantage-tools conffiles to avoid "obsolete" dpkg
    conffile statuses
  * fix regression in api u.pro.attach.auto.should_auto_attach.v1 so that it works with
    the new package names

 -- Grant Orndorff <grant.orndorff@canonical.com>  Mon, 26 Feb 2024 11:47:55 -0500

ubuntu-advantage-tools (31.1) noble; urgency=medium

  * fix unit test that failed on newer version of python

 -- Grant Orndorff <grant.orndorff@canonical.com>  Wed, 14 Feb 2024 13:51:44 -0500

ubuntu-advantage-tools (31) noble; urgency=medium

  * d/*:
    - rename ubuntu-advantage-tools to ubuntu-pro-client
    - rename ubuntu-advantage-pro to ubuntu-pro-image-auto-attach
  * d/apparmor:
    - introduce new ubuntu_pro_apt_news apparmor policy
  * d/control:
    - update descriptions and homepages
    - update ubuntu-pro-client-l10n to Depend on same binary version
      of ubuntu-pro-client
  * d/rules:
    - install ubuntu_pro_apt_news apparmor policy
  * d/ubuntu-pro-client.prerm:
    - removed dependency on python3 by reimplementing in sh (LP: #2021988)
  * apport:
    - collect logs related to ubuntu_pro_apt_news apparmor policy
  * release-upgrades.d/ubuntu-advantage-upgrades.cfg:
    - convert APT list files to deb822 files when upgrading to noble
  * systemd/apt-news.service:
    - add apparmor profile and capability restrictions
  * systemd/ubuntu-advantage.service:
    - avoid deadlock when started during cloud-config.service (LP: #2050022)
  * New upstream release 31 (LP: #2048921)
    - api:
      + u.pro.attach.auto.full_auto_attach.v1: new cloud_override param
      + u.pro.status.enabled_services.v1:
        * include services in "warning" state
        * include "usg"
      + u.pro.security.fix.*.plan.v1: export common objects from
        endpoint modules (GH: #2714)
    - cli:
      + add autocomplete for api subcommand
      + autocomplete multiple services for enable/disable subcommands
      + if lock is held, cli will retry over the course of a few seconds
    - collect-logs:
      + include logs related to ubuntu_pro_apt_news apparmor policy
      + include logs of apt-news.service
      + include logs of esm-cache.service
    - enable:
      + use deb822 apt source file format when on noble or later
    - fix:
      + avoid insinuating that CVEs were found on the machine (GH: #1522)
      + ignore LSNs when considering related USNs
      + pick CVE description based on what packages are installed
    - landscape:
      + don't disable landscape on ubuntu releases where it cannot be
        enabled (GH: #2743)
      + no longer assume landscape-client gets removed on disable (GH: #2840)
      + leave client.conf in place instead of renaming
      + require service to be running to consider "enabled"
      + new explanatory message when disabling
    - motd: properly pluralize messages about updates (GH: #1579)
    - status: show warning when canonical-livepatch command fails
      (LP: #2019997)
    - timer jobs: jobs-status.json is now world readable (GH: #2601)

 -- Grant Orndorff <grant.orndorff@canonical.com>  Tue, 09 Jan 2024 14:24:33 -0500

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
                debhelper (>=9),
                debianutils (>= 4.7),
                dh-python,
+               dh-apparmor,
+               apparmor,
 # After debhelper 13.3 we no longer need dh-systemd.
 # On hirsute and later, dh-systemd doesn't even exist.
 # On recent releases, the first alternative will be used.
@@ -21,6 +23,7 @@
                po-debconf,
                python3 (>= 3.4),
                python3-flake8,
+               python3-jinja2,
                python3-mock,
                python3-pytest,
                python3-setuptools,
@@ -32,6 +35,16 @@
 Rules-Requires-Root: no
 
 Package: ubuntu-advantage-tools
+Depends: ubuntu-pro-client (>= ${binary:Version}), ${misc:Depends}
+Architecture: all
+Priority: optional
+Section: oldlibs
+Description: transitional dummy package for ubuntu-pro-client
+ This is a transitional dummy package for ubuntu-pro-client. It can safely be
+ removed.
+
+Package: ubuntu-pro-client
+Homepage: https://canonical-ubuntu-pro-client.readthedocs-hosted.com/
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
@@ -40,27 +53,55 @@
          python3-pkg-resources,
          ${extra:Depends}
 Recommends: ubuntu-pro-client-l10n
-Description: management tools for Ubuntu Pro
- Ubuntu Pro is the professional package of tooling, technology
- and expertise from Canonical, helping organisations around the world
- manage their Ubuntu deployments.
- .
- Subscribers to Ubuntu Pro will find helpful tools for accessing
- services in this package.
+Breaks: ubuntu-advantage-tools (<<31~)
+Replaces: ubuntu-advantage-tools (<<31~)
+# IMPORTANT: ubuntu-pro-client does not "Provide" ubuntu-advantage-tools
+# At the time of the rename, existing releases with ubuntu-advantage-tools
+# include xenial, bionic, focal, jammy, and mantic.
+# We cannot allow ubuntu-advantage-tools <<31 to be removed on those releases,
+# because it could break ESM (remove sources.list entries in prerm).
+# On those releases, ubuntu-minimal (and ubuntu-cloud-minimal) Depends on
+# ubuntu-advantage-tools, which prevents it from being removed without also
+# removing ubuntu-minimal or ubuntu-cloud-minimal. We consider that to be a
+# sufficient warning to users that removing ubuntu-advantage-tools is not
+# supported.
+# If ubuntu-pro-client were to "Provide" ubuntu-advantage-tools, then that
+# mechanism would not work, and users could remove ubuntu-advantage-tools
+# accidentally.
+# ubuntu-pro-client could "Provide" ubuntu-advantage-tools in releases in the
+# future, but it would not add any value over having the ubuntu-advantage-tools
+# transitional dummy package.
+Description: Management tools for Ubuntu Pro
+ Ubuntu Pro is a suite of additional services provided by Canonical on
+ top of Ubuntu. Whether you're an enterprise customer deploying systems
+ at scale or want security patching for your personal Ubuntu LTS
+ at home, the Ubuntu Pro Client (pro) is the command-line tool that
+ will help you manage the services you need.
 
 Package: ubuntu-pro-client-l10n
 Architecture: any
-Depends: ${misc:Depends}, ubuntu-advantage-tools (>=30~)
+Depends: ${misc:Depends}, ubuntu-pro-client (= ${binary:Version})
 Description: Translations for Ubuntu Pro Client
  This package delivers translations of Ubuntu Pro Client for various
  languages.
 
 Package: ubuntu-advantage-pro
+Depends: ubuntu-pro-auto-attach, ${misc:Depends}
 Architecture: all
-Depends: ${misc:Depends}, ubuntu-advantage-tools (>=20.2)
-Replaces: ubuntu-advantage-tools (<<20.2)
-Breaks: ubuntu-advantage-tools (<<20.2)
-Description: Additional services for Ubuntu Pro images
+Priority: optional
+Section: oldlibs
+Description: transitional dummy package for ubuntu-pro-auto-attach
+ This is a transitional dummy package for ubuntu-pro-auto-attach. It can
+ safely be removed.
+
+Package: ubuntu-pro-auto-attach
+Homepage: https://canonical-ubuntu-pro-client.readthedocs-hosted.com/en/latest/explanations/what_are_ubuntu_pro_cloud_instances/
+Architecture: all
+Depends: ${misc:Depends}, ubuntu-pro-client (>=31~)
+Breaks: ubuntu-advantage-pro (<<31~)
+Replaces: ubuntu-advantage-pro (<<31~)
+Provides: ubuntu-advantage-pro
+Description: Service to auto-attach Ubuntu Pro cloud images
  This package delivers an additional service that performs an auto-attach
  operation for Ubuntu Pro cloud instances. This package should not be manually
  installed, as it is already present on the cloud instances that require it.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

include /etc/os-release

# see https://bugs.launchpad.net/ubuntu/+source/ubuntu-advantage-tools/+bug/1840091/comments/3

# Bionic and Xenial each have older versions of distro-info that don't support
# the flag --supported-esm. Those versions are 0.18 and 0.14build1,
# respectively. So we set specific distro-info requirements for bionic and later
# versus Xenial to make those contraints applicable on each series.
DISTRO_INFO_DEPS=distro-info (>= 0.18ubuntu0.18.04.1),

ifeq (${VERSION_ID},"16.04")
APT_PKG_DEPS=apt (>= 1.2.32), apt-transport-https (>= 1.2.32), apt-utils (>= 1.2.32), libapt-inst2.0 (>= 1.2.32), libapt-pkg5.0 (>= 1.2.32),
DISTRO_INFO_DEPS=distro-info (>= 0.14ubuntu0.2),
else ifeq (${VERSION_ID},"18.04")
APT_PKG_DEPS=apt (>= 1.6.11), apt-utils (>= 1.6.11), libapt-inst2.0 (>= 1.6.11), libapt-pkg5.0 (>= 1.6.11),
endif

%:
	dh $@ --with python3,bash-completion,systemd --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make -C apt-hook build
	make -C debian/po build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# Hooks will only be delivered on LTS instances
ifeq (LTS,$(findstring LTS,$(VERSION)))
	make -C apt-hook test
endif
	python3 -m pytest
	python3 -m flake8 uaclient
endif

override_dh_gencontrol:
	echo "extra:Depends=$(APT_PKG_DEPS) $(DISTRO_INFO_DEPS)" >> debian/ubuntu-pro-client.substvars
	dh_gencontrol

override_dh_systemd_enable:
	dh_systemd_enable -pubuntu-pro-auto-attach ua-auto-attach.service
	dh_systemd_enable -pubuntu-pro-client ua-reboot-cmds.service
	dh_systemd_enable -pubuntu-pro-client ua-timer.timer
	dh_systemd_enable -pubuntu-pro-client ua-timer.service
	dh_systemd_enable -pubuntu-pro-client ubuntu-advantage.service
ifeq (${VERSION_ID},"16.04")
	# Only enable cloud-id-shim on Xenial
	dh_systemd_enable -pubuntu-pro-client ubuntu-advantage-cloud-id-shim.service
endif

override_dh_systemd_start:
	dh_systemd_start -pubuntu-pro-client ua-timer.timer
	dh_systemd_start -pubuntu-pro-client ubuntu-advantage.service

override_dh_auto_install:
	dh_auto_install --destdir=debian/ubuntu-pro-client
	debian/jinja2_render debian/apparmor/ubuntu_pro_apt_news.jinja2 debian/apparmor/ubuntu_pro_apt_news ubuntu_codename=${UBUNTU_CODENAME}
	# quick syntax check on the generated profile
	apparmor_parser -K -T -Q debian/apparmor/ubuntu_pro_apt_news
	install -D -m 644 $(CURDIR)/debian/apparmor/ubuntu_pro_apt_news $(CURDIR)/debian/ubuntu-pro-client/etc/apparmor.d/ubuntu_pro_apt_news
	dh_apparmor -pubuntu-pro-client --profile-name=ubuntu_pro_apt_news

	flist=$$(find $(CURDIR)/debian/ -type f -name version.py) && sed -i 's,@@PACKAGED_VERSION@@,$(DEB_VERSION),' $${flist:-did-not-find-version-py-for-replacement}

	# We install the conf file even on non-LTS version to avoid issues on upgrade scenarios
	make -C apt-hook DESTDIR=$(CURDIR)/debian/ubuntu-pro-client install-conf
	make -C apt-hook DESTDIR=$(CURDIR)/debian/ubuntu-pro-client install

	# We want to guarantee that we are not shipping any conftest files
	find $(CURDIR)/debian/ubuntu-pro-client -type f -name conftest.py -delete

ifneq (${VERSION_ID},"16.04")
	# Only install cloud-id-shim on Xenial
	rm $(CURDIR)/debian/ubuntu-pro-client/lib/systemd/system/ubuntu-advantage-cloud-id-shim.service
endif

	# Move ua-auto-attach.service out to ubuntu-pro-auto-attach
	mkdir -p debian/ubuntu-pro-auto-attach/lib/systemd/system
	mv debian/ubuntu-pro-client/lib/systemd/system/ua-auto-attach.* debian/ubuntu-pro-auto-attach/lib/systemd/system

	# move migration scripts from before the package rename into ubuntu-advantage-tools
	mkdir -p debian/ubuntu-advantage-tools/usr/lib/ubuntu-advantage
	mv debian/ubuntu-pro-client/usr/lib/ubuntu-advantage/migrate_user_config.py debian/ubuntu-advantage-tools/usr/lib/ubuntu-advantage
	mv debian/ubuntu-pro-client/usr/lib/ubuntu-advantage/patch_status_json.py debian/ubuntu-advantage-tools/usr/lib/ubuntu-advantage


override_dh_auto_clean:
	dh_auto_clean
	make clean
